@mixin flexCenter{
    display: flex;
    justify-content: center;
    align-items: center;
}

@mixin absPostTL($topValue, $leftValue){
    position: absolute;
    top: $topValue;
    left: $leftValue;
}

@mixin absCenter($topValue){
    position: absolute;
    top: $topValue;
    left: 50%;
    transform: translate(-50%, -50%);
}

@mixin textStyles($transform: uppercase){
    font-weight:300;
    letter-spacing: .2rem;
    text-transform: $transform;
}

@mixin headingStyles ($family, $size, $weight, $color, $mb){
    font-family: $family;
    font-size: $size;
    font-weight: $weight;
    color: $color;
    margin-bottom: $mb;
}

@mixin fullSpace{
    width: 100%;
    height: 100%;
}

@mixin widthHalfSpace{
    width: 50vw;
    height: 100vh;
}


/* Breakpoints
    * xlarge - 1280px = 80em
    * large  - 1024px = 64em
    * medium - 768px  = 48em
    * small  - 640px  = 40em
*/

@mixin respond($breakpoint){
    @if $breakpoint == xlarge { // <= 1280px
        @media only screen and (max-width: 80em) { @content };
    }
    @if $breakpoint == large { // <= 1024px
        @media only screen and (max-width: 64em) { @content };
    }
    @if $breakpoint == medium { // <= 768px
        @media only screen and (max-width: 48em) { @content };
    }
    @if $breakpoint == small { // <= 640px
        @media only screen and (max-width: 40em) { @content };
    }
}
